Subscribe Bookmark RSS Feed

JMP R integration

bjbreitling

Community Trekker

Joined:

Dec 13, 2012

Hi JMP Community,

I have R installed and JMP 11 Pro.  When I run R Init(); in the JSL script I get this message in the Log: 

"The installed version of R cannot be used.  The entry point "ConsoleIob" could not be located. -1"

7 REPLIES
bjbreitling

Community Trekker

Joined:

Dec 13, 2012

I rolled back to R 2.9 and I still have issues with getting the integration to work.  Now I get "Error: object 'fc' not found".  When I run the following code "Get Environment Variable("R_HOME")"  I get ""C:\Program Files (x86)\R\R-2.9.2"" in the log.  Any ideas?

ms

Super User

Joined:

Jun 23, 2011

What R version did you try first?. The JMP knowledge base say that R 2.13 and up is supported by JMP 11. http://www.jmp.com/support/notes/41/679.html

And make sure your R installation directory and R_HOME are the same.

bjbreitling

Community Trekker

Joined:

Dec 13, 2012

They are both "C:\Program Files\R\R-3.0.2\bin\x64".  It still tells me "An installed version of R could not be found."  I also tried "C:\Program Files\R\R-3.0.2" and "C:\Program Files\R\R-3.0.2\i386"

perceptor

Community Trekker

Joined:

Mar 26, 2014

Also having the same problem with JMP 11 and R 3.0.3

Jeff_Perkinson

Community Manager

Joined:

Jun 23, 2011

Right now, JMP 11 on Windows supports R versions 2.13.0 - 3.0.1.

You can check the current system requirements at jmp.com/system to see versions of software compatible with JMP.

-Jeff

-Jeff
MathStatChem

Community Trekker

Joined:

Sep 11, 2013

Any plans to update and provide support for the latest release of R (3.1) soon?

Jeff_Perkinson

Community Manager

Joined:

Jun 23, 2011

Probably not until JMP 12.

-Jeff

-Jeff